LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Variables
com::sun::star::awt::KeyFunction Constant Group Referencepublished

These values are used to specify logical key functions. More...

## Variables
const short | DONTKNOW = 0
const short | NEW = 1
const short | OPEN = 2
const short | SAVE = 3
const short | SAVEAS = 4
const short | PRINT = 5
const short | CLOSE = 6
const short | QUIT = 7
const short | CUT = 8
const short | COPY = 9
const short | PASTE = 10
const short | UNDO = 11
const short | REDO = 12
const short | DELETE = 13
const short | REPEAT = 14
const short | FIND = 15
const short | FINDBACKWARD = 16
const short | PROPERTIES = 17
const short | FRONT = 18

## Detailed Description

These values are used to specify logical key functions.

## Variable Documentation

## ◆ CLOSE

const short CLOSE = 6

## ◆ COPY

const short COPY = 9

## ◆ CUT

const short CUT = 8

## ◆ DELETE

const short DELETE = 13

## ◆ DONTKNOW

const short DONTKNOW = 0

## ◆ FIND

const short FIND = 15

## ◆ FINDBACKWARD

const short FINDBACKWARD = 16

## ◆ FRONT

const short FRONT = 18

## ◆ NEW

const short NEW = 1

## ◆ OPEN

const short OPEN = 2

## ◆ PASTE

const short PASTE = 10

## ◆ PRINT

const short PRINT = 5

## ◆ PROPERTIES

const short PROPERTIES = 17

## ◆ QUIT

const short QUIT = 7

## ◆ REDO

const short REDO = 12

## ◆ REPEAT

const short REPEAT = 14

## ◆ SAVE

const short SAVE = 3

## ◆ SAVEAS

const short SAVEAS = 4

## ◆ UNDO

const short UNDO = 11